SIDPLAYFP.INI(5)

NAME
sidplayfp.ini - Configuration file for sidplayfp(1).

DESCRIPTION
This page describes the options available for the configuration file of Sidplayfp. It is composed by a number of sections, each one composed by a section name, enclosed by square brackets, followed by a list of <parameter>=<value> lines.

sidplayfp.ini supports the following sections:

[SIDPlayfp] - Generic configuration

[Console] - Console appearance configuration

[Audio] - Audio output configuration

[Emulation] - Emulation engine parameters

All options and values are described in detail below.

For any of the following parameter, if it's specified more than one time the last entry encountered will be used.

NOTE: if any of these options is specified outside its section, it will be ignored.

  SIDPlayfp

Version=<number>
    Configuration version

Songlength Database=<path>
    Full path for the Songlength DB. By default the program will look for a file named DOCUMENTS/Songlengths.txt under the HVSC collection path, if the HVSC_BASE environment variable is defined. On *NIX systems, if this value is not set, sidplayfp(1) will try $PREFIX/share/sidplayfp/Songlengths.txt.

Default Play Length=MM:SS.mmm
    Default play time if Songlength Database is not found.

Default Record Length=MM:SS.mmm
    Default recording time when writing wave files if Songlength Database is not found.

Kernal Rom=<path>
    Full path for the Kernal Rom file. This is the most important ROM and should always be provided, although many tunes will still work without. By default the program will look for a file named kernal under the following locations:

    •   $XDG_DATA_HOME/sidplayfp/

        on *NIX systems where XDG_DATA_HOME is defined.

    •   $HOME/.local/share/sidplayfp/

        on *NIX systems where XDG_DATA_HOME is not defined.

    •   $PREFIX/share/sidplayfp

        on *NIX systems when not found in the above directories.

    •   %CSIDL_APPDATA%\\sidplayfp\\

        on Windows systems where CSIDL_APPDATA is defined.

    •   %USERPROFILE%\\Application Data\\sidplayfp\\

        on Windows systems where CSIDL_APPDATA is not defined.

Basic Rom=<path>
    Full path for the Basic Rom file. This is mostly useful for playing BASIC tunes. By default the program will look for a file named basic under the same locations as above.

Chargen Rom=<path>
    Full path for the Character generator Rom file. Almost useless for playback of tunes, but included for completeness. By default the program will look for a file named chargen under the same locations as above.

VerboseLevel=<number>
    Verbosity level, 0 = low, 1 = normal, >1 = high. Default is 0

  Console

Ansi=true|false
    Use ANSI escape sequences to provide colored output.

Char Top Left=<char>
    Character for the top left corner.

Char Top Right=<char>
    Character for the top right corner.

Char Bottom Left=<char>
    Character for the bottom left corner.

Char Bottom Right=<char>
    Character for the bottom right corner.

Char Vertical=<char>
    Character for vertical lines.

Char Horizontal=<char>
    Character for horizontal lines.

Char Junction Left=<char>
    Character for left junctions.

Char Junction Right=<char>
    Character for right junctions.

  Audio

Frequency=<number>
    Playback frequency expressed in Hertz. Default is 48000.

Channels=<number>
    Number of channels, 1 for mono and 2 for stereo playback. Default is 1 for standard tunes and 2 for multi SID tunes.

BitsPerSample=<16|32>
    Number of bits ber sample, used only for wav/au output. Using values other than the ones specified will produce invalid output.

BufferLength=<number>
    Length of the buffer in milliseconds, default is 250. Increase if you experience audio problems or reduce to improve latency.

  Emulation

Engine=<RESIDFP|RESID|HARDSID|EXSID|USBSID|NONE>
    Set the SID emulation engine. Default is RESIDFP.

C64Model=<PAL|NTSC|OLD_NTSC|DREAN>
    Default C64 model to use if not specified by tune, PAL for european PAL-B model, NTSC for american/japanese NTSC-M models, OLD_NTSC for NTSC-M models with old video chip and DREAN for argentinian PAL-N model. Default is PAL.

ForceC64Model=true|false
    Force the configured C64 model even if the tune specifies one.

CiaModel=<MOS6526|MOS8521>
    Select CIA chip model, old MOS 6526 or newer MOS 8521.

SidModel=<MOS6581|MOS8580>
    Default SID chip model, old MOS 6581 or newer MOS 8580.

ForceSidModel=true|false
    Force the configured SID chip model even if the tune specifies one.

DigiBoost=true|false
    Enable digiboost for 8580 model.

UseFilter=true|false
    Enable/disable the emulation of the SID filter.

FilterBias=<number>
    Controls the filter bias in the ReSID emulation. Ranges from 0.0 (dark) to 1.0 (light), the default value is 0.5.

FilterCurve6581=<number>
    Controls the filter curve for the 6581 model in the ReSIDfp emulation. Ranges from 0.0 (light) to 1.0 (dark), the default value is 0.5.

FilterRange6581=<number>
    Controls the filter uCox parameter for the 6581 model in the ReSIDfp emulation. Ranges from 0.0 (dark) to 1.0 (bright), the default value is 0.5.

FilterCurve8580=<number>
    Controls the filter curve for the 8580 model in the ReSIDfp emulation. Ranges from 0.0 (light) to 1.0 (dark), the default value is 0.5.

CombinedWaveforms=<AVERAGE|WEAK|STRONG>
    Controls the combined waveforms strength in the ReSIDfp emulation. The default value is AVERAGE.

PowerOnDelay=<number>
    The C64 power on delay in number of CPU cycles. If greater than 8191 the delay will be random.

Sampling=<INTERPOLATE|RESAMPLE>
    Set resampling mode: Interpolation (less expensive) or resampling (accurate).

FastSampling=<true|false>
    Fast resampling, available only for reSID emulation.

SEE ALSO
sidplayfp(1)

AUTHORS

Leandro Nini
    Current maintainer.

Simon White
    Wrote the original Sidplay2.

Dag Lem
    Wrote the reSID emulation engine.

Antti S. Lankila
    Wrote the reSIDfp emulation engine as a fork of reSID 0.16.

The Vice team
    Large part of the emulation is based on the VICE's code.

André Fachat
    Wrote the original reloc65 utility.

Michael Schwendt
    Wrote the original SidTune library and MD5 class (based on work by L. Peter Deutsch).

Mikko Kilponen
    Wrote the original man page.

RESOURCES

Home page: <https://github.com/libsidplayfp/>
Sidplay2 homepage: <http://sidplay2.sourceforge.net/>
High Voltage Sid Collection (HVSC): <http://hvsc.c64.org/>

COPYING

Copyright (C) 2000-2004 Simon White
Copyright (C) 2007-2010 Antti Lankila
Copyright (C) 2009-2015 VICE Project
Copyright (C) 2010-2024 Leandro Nini

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.